﻿using System.Windows.Input;
using Xamarin.Forms;

namespace GaugeTestApp
{
    public class MainViewModel
    {
        public SemiCircleGauge Gauge1 { get; private set; }

        public ICommand DrawImageCommand { get; set; }

        public MainViewModel()
        {
            Gauge1 = new SemiCircleGauge() { ImageFileName = "a_battery.png" };
            Gauge1.SetTitle("Gauge 1");
            Gauge1.SetMinMax(0, 50);
            Gauge1.SetIncrement(5);
            Gauge1.CircularGauge.Value = 25;

            DrawImageCommand = new Command(() => Gauge1.DrawImage());
        }
    }
}
